<?php
/**
 * @copyright: Copyright © 2021 Firebear Studio. All rights reserved.
 * @author   : Firebear Studio <fbeardev@gmail.com>
 */
namespace Firebear\PlatformSap\Model\Import\Platform;

use Firebear\PlatformSap\Model\Import\Source\ProductSpecialPriceFactory as SourceFactory;
use Firebear\PlatformSap\Model\Import\Source\ProductSpecialPrice as Source;

/**
 * Sap product platform
 */
class ProductSpecialPrice extends AbstractPlatform
{
    /**
     * Initialize platform
     *
     * @param SourceFactory $sourceFactory
     */
    public function __construct(
        SourceFactory $sourceFactory
    ) {
        $this->_sourceFactory = $sourceFactory;
    }

    /**
     * Retrieve import source
     *
     * @param array $data
     * @return Source|\Magento\ImportExport\Model\Import\AbstractSource
     */
    public function getSource($data = [])
    {
        if (null == $this->_source) {
            $this->_source = $this->_sourceFactory->create(['data' => $data]);
            $this->_source->setPlatform($this);
        }
        return $this->_source;
    }
}
