<?php
/**
 * Copyright © Firebear Studio, Inc. All rights reserved.
 * See COPYING.txt for license details.
 */
namespace Firebear\PlatformSap\Model\Import\Source\Gateway;

/**
 * Sap category gateway
 */
class ProductTierPrice extends AbstractGateway
{
    const SAP_ENTITY_ENDPOINT = 'ItemTierPrice/List';
    const SAP_BASE_PRICE_LIST_ID = 1;

    /**
     * @param $data
     * @return false|mixed
     * @throws \Magento\Framework\Exception\LocalizedException
     */
    public function getSourceData($data)
    {
        $data['sap_entity_endpoint'] = self::SAP_ENTITY_ENDPOINT;
        $data['sap_additional_params']['sap_base_price_list_id'] = !empty($data['sap_base_price_list_id'])
            ? $data['sap_base_price_list_id'] : self::SAP_BASE_PRICE_LIST_ID;
        return parent::getSourceData($data);
    }
}
