<?php
/**
 * @copyright: Copyright © 2021 Firebear Studio. All rights reserved.
 * @author   : Firebear Studio <fbeardev@gmail.com>
 */

namespace Firebear\PlatformSap\Plugin;

use Firebear\PlatformSap\Model\Order\UpdatePublisher;
use Magento\Sales\Controller\Adminhtml\Order\Cancel;

/**
 * Class OrderCancelAdminhtmlPlugin on Sales Order Cancel action
 */
class OrderCancelAdminhtmlPlugin
{
    /**
     * @var UpdatePublisher
     */
    private $orderUpdatePublisher;

    /**
     * OrderCancelAdminhtmlPlugin constructor.
     * @param UpdatePublisher $orderUpdatePublisher
     */
    public function __construct(
        UpdatePublisher $orderUpdatePublisher
    ) {
        $this->orderUpdatePublisher = $orderUpdatePublisher;
    }

    /**
     * @param Cancel $subject
     * @param $result
     * @return mixed
     */
    public function afterExecute(
        Cancel $subject,
        $result
    ) {
        $orderId = $subject->getRequest()->getParam('order_id');
        $this->orderUpdatePublisher->execute($orderId);
        return $result;
    }
}
